doc: use the latest numactl release
diff mbox series

Message ID 20191127152259.29424-1-alialnu@mellanox.com
State Accepted, archived
Headers show
Series
  • doc: use the latest numactl release
Related show

Checks

Context Check Description
ci/travis-robot success Travis build: passed
ci/Intel-compilation success Compilation OK
ci/checkpatch warning coding style issues

Commit Message

Ali Alnubani Nov. 27, 2019, 3:23 p.m. UTC
Previous versions of numactl may produce the following error
on some systems (at least on Fedora 30 and RHEL7.4):

  ./.libs/libnuma.so: undefined reference to `minor'
  ./.libs/libnuma.so: undefined reference to `major'
  collect2: error: ld returned 1 exit status

This was fixed in upstream commit:
https://github.com/numactl/numactl/commit/25691a084a2012a339395ade567dbae814e237e9
The fix is available in v2.0.13.

Signed-off-by: Ali Alnubani <alialnu@mellanox.com>
---
 doc/guides/linux_gsg/cross_build_dpdk_for_arm64.rst | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Ruifeng Wang Nov. 28, 2019, 2:10 a.m. UTC | #1
> -----Original Message-----
> From: Ali Alnubani <alialnu@mellanox.com>
> Sent: Wednesday, November 27, 2019 23:23
> To: dev@dpdk.org
> Cc: Gavin Hu (Arm Technology China) <Gavin.Hu@arm.com>; Joyce Kong
> (Arm Technology China) <Joyce.Kong@arm.com>; Ruifeng Wang (Arm
> Technology China) <Ruifeng.Wang@arm.com>
> Subject: [PATCH] doc: use the latest numactl release
> 
> Previous versions of numactl may produce the following error on some
> systems (at least on Fedora 30 and RHEL7.4):
> 
According to the numactl commit message, the error happens when glibc 2.28 and later is used.

Reviewed-by: Ruifeng Wang <ruifeng.wang@arm.com>

>   ./.libs/libnuma.so: undefined reference to `minor'
>   ./.libs/libnuma.so: undefined reference to `major'
>   collect2: error: ld returned 1 exit status
> 
> This was fixed in upstream commit:
> https://github.com/numactl/numactl/commit/25691a084a2012a339395ade56
> 7dbae814e237e9
> The fix is available in v2.0.13.
> 
> Signed-off-by: Ali Alnubani <alialnu@mellanox.com>
> ---
>  doc/guides/linux_gsg/cross_build_dpdk_for_arm64.rst | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/doc/guides/linux_gsg/cross_build_dpdk_for_arm64.rst
> b/doc/guides/linux_gsg/cross_build_dpdk_for_arm64.rst
> index e799b0ba4..e47218af9 100644
> --- a/doc/guides/linux_gsg/cross_build_dpdk_for_arm64.rst
> +++ b/doc/guides/linux_gsg/cross_build_dpdk_for_arm64.rst
> @@ -50,7 +50,7 @@ NUMA is required by most modern machines, not
> needed for non-NUMA architectures.
> 
>     git clone https://github.com/numactl/numactl.git
>     cd numactl
> -   git checkout v2.0.11 -b v2.0.11
> +   git checkout v2.0.13 -b v2.0.13
>     ./autogen.sh
>     autoconf -i
>     ./configure --host=aarch64-linux-gnu CC=aarch64-linux-gnu-gcc --
> prefix=<numa install dir>
> --
> 2.24.0
Gavin Hu Nov. 28, 2019, 2:30 a.m. UTC | #2
Acked-by: Gavin Hu <gavin.hu@arm.com>
Thomas Monjalon Nov. 28, 2019, 7:01 p.m. UTC | #3
28/11/2019 03:10, Ruifeng Wang (Arm Technology China):
> From: Ali Alnubani <alialnu@mellanox.com>
> > 
> > Previous versions of numactl may produce the following error on some
> > systems (at least on Fedora 30 and RHEL7.4):
> > 
> According to the numactl commit message, the error happens when glibc 2.28 and later is used.
> 
> Reviewed-by: Ruifeng Wang <ruifeng.wang@arm.com>
> 
> >   ./.libs/libnuma.so: undefined reference to `minor'
> >   ./.libs/libnuma.so: undefined reference to `major'
> >   collect2: error: ld returned 1 exit status
> > 
> > This was fixed in upstream commit:
> > https://github.com/numactl/numactl/commit/25691a084a2012a339395ade56
> > 7dbae814e237e9
> > The fix is available in v2.0.13.
> > 
> > Signed-off-by: Ali Alnubani <alialnu@mellanox.com>

Applied, thanks

Patch
diff mbox series

diff --git a/doc/guides/linux_gsg/cross_build_dpdk_for_arm64.rst b/doc/guides/linux_gsg/cross_build_dpdk_for_arm64.rst
index e799b0ba4..e47218af9 100644
--- a/doc/guides/linux_gsg/cross_build_dpdk_for_arm64.rst
+++ b/doc/guides/linux_gsg/cross_build_dpdk_for_arm64.rst
@@ -50,7 +50,7 @@  NUMA is required by most modern machines, not needed for non-NUMA architectures.
 
    git clone https://github.com/numactl/numactl.git
    cd numactl
-   git checkout v2.0.11 -b v2.0.11
+   git checkout v2.0.13 -b v2.0.13
    ./autogen.sh
    autoconf -i
    ./configure --host=aarch64-linux-gnu CC=aarch64-linux-gnu-gcc --prefix=<numa install dir>